Bug 55081 - [PATCH] patch for missing function WEEKNUM
[PATCH] patch for missing function WEEKNUM
Status: RESOLVED FIXED
Product: POI
Classification: Unclassified
Component: POI Overall
3.10-dev
PC All
: P2 normal (vote)
: ---
Assigned To: POI Developers List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2013-06-08 16:26 UTC by Cédric Walter
Modified: 2013-10-08 15:19 UTC (History)
0 users



Attachments
testcase WeekNumFunctionTestCaseData.xls (35.00 KB, application/vnd.ms-excel)
2013-06-08 16:26 UTC, Cédric Walter
Details
patch for missing function WEEKNUM (6.69 KB, patch)
2013-06-08 16:28 UTC, Cédric Walter
Details | Diff
Add additional sanity check/integration test FormulaEvalTestData.xls (173.00 KB, application/vnd.ms-excel)
2013-06-17 20:12 UTC, Cédric Walter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cédric Walter 2013-06-08 16:26:47 UTC
Created attachment 30413 [details]
testcase WeekNumFunctionTestCaseData.xls

Returns a number that indicates where the week falls numerically within a year.

patch for missing function WEEKNUM

WEEKNUM function is part of Analysis ToolPak add-in.

Testcases in WeekNumFunctionTestCaseData.xls
Written for Java 1.5
Comment 1 Cédric Walter 2013-06-08 16:28:07 UTC
Created attachment 30414 [details]
patch for missing function WEEKNUM
Comment 2 Cédric Walter 2013-06-17 20:12:26 UTC
Created attachment 30453 [details]
Add additional sanity check/integration test FormulaEvalTestData.xls
Comment 3 Niggler 2013-06-18 00:25:35 UTC
Note that WEEKNUM is a built-in function (not part of the analysis tookpak) for Excel 2010/2011 and Excel 2013 (and possibly Excel 2007/2008)
Comment 4 Nick Burch 2013-06-18 22:34:26 UTC
(In reply to Niggler from comment #3)
> Note that WEEKNUM is a built-in function (not part of the analysis tookpak)
> for Excel 2010/2011 and Excel 2013 (and possibly Excel 2007/2008)

That could be fun. Any chance someone could create a simple spreadsheet with Excel 2003, and another with 2013 (both need to be fresh files), both of which make a single use of WEEKNUM? That'll let us confirm if they both write it the same even with the analysis tookpak change
Comment 5 Cédric Walter 2013-10-08 15:19:50 UTC
Patch committed r1530256
Now assert validity of weeknum implemntation with 2 simple spreadsheet (Excel 2003, and another with 2013 - both are fresh files), both of which make a single use of WEEKNUM